# Zeal CLI
Zeal CLI is a command-line-interface for managing [Zeal](https://zealdocs.org/) docsets on Linux. It's syntax is roughly based on the basic syntax of the `apt` package manager, because Zeal CLI is basically a package manager for docsets.

## Features
- Simple, familiar command-line interface
- Gets docsets from the same source as Zeal
- Easy to install and use - no additional dependencies required.
- Docsets can still be managed within the Zeal GUI
- Free and Open-Source

## Technologies
- Python 3
- PyInstaller

## Usage
View the [usage documentation](usage.md) for using instructions.

## Contact
To submit a Bug Report or Feature Request, please open a [GitHub Issue](https://github.com/Morpheus636/zeal-cli/issues/new).

To ask a question or get support, you can join my [Discord Server](https://discord.morpheus636.com) or create a Discussions thread within this repository.

## Contributing
This project is maintained my Morpheus636. Contribution guidelines for all of my projects can be found at https://docs.morpheus636.com/contributing

## Credits
- Zeal_CLI sources docsets from [Dash](https://kapeli.com/dash), just like Zeal. Special thanks to Dash's developer, [Kapeli](https://github.com/Kapeli) for granting me permission to use their docsets.

# Copyright Notice
© Copyright 2021-2022 Josh Levin ([Morpheus636](https://github.com/morpheus636))

This repository (and everything in it) is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This repository is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this repository.  If not, see <https://www.gnu.org/licenses/>.
